
Redmine - Feature #11302

Issue-Details: add additional classes to the list of related tickets and subtasks for better theme

support

2012-07-02 12:24 - Peter Schuler

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

The current (as in Redmine 1.4.4) detail view of an issues offers a list of related tickets and subtickets. But the produced HTML

code doesn't allow easy customization of themes. The issue lists miss some classes which other issue lists (like "show all tickets in

project") or the main issue in the detail view itself supplies. Theses classes are supplied in the link to the issue so they seem to be

available and adding them to the specific list element shouldn't add unnecessary load.

For related tickets:

The current output is like:

<tr class="issue hascontextmenu" id="relation-133">

  <td class="checkbox"><input name="ids[]" type="checkbox" value="589"></td>

  <td class="subject">Relation to 

    myProject - 

    <a href="/path_to_redmine/issues/589" class="issue status-4 priority-2 closed">Feature #589

</a>: Title of the Issue

  </td>

  <td class="status">Closed</td>

  <td class="start_date">02.07.2012</td>

  <td class="due_date">20.07.2012</td>

  <td class="buttons">[cut from example]</td>

</tr>

So instead of adding the details only to the link, I'd suggest replacing the first line

<tr class="issue hascontextmenu" id="relation-133">

with

<tr class="issue hascontextmenu status-4 priority-2 closed" id="relation-133">

 For subtasks:

Here the change is slighty different (the issue-id is mentioned which is missing in related tasks):

<tr class="issue issue-592 hascontextmenu" id="relation-133">

with

<tr class="issue issue-592 hascontextmenu status-4 priority-2 closed" id="relation-133">

 Motivation:

As many other tickets, the aim here is to allow better themes (e.g. color coding statuses). As I am capable of CSS, this seems the

only view I've encountered so far, that does not give enough classes to get things done, all other listings and views supply more than

enough information (if one is able to use them). So this would be a nice addition and seems to fit with the rest of the views.

Related issues:

Is duplicate of Redmine - Patch #21474: Adding issue css classes to subtasks ... Closed
History

#1 - 2018-03-16 09:51 - Bernhard Rohloff

I think we can close this issue since it was implemented with #21474.

#2 - 2018-03-16 10:20 - Marius BĂLTEANU

- Is duplicate of Patch #21474: Adding issue css classes to subtasks and relations tr added

#3 - 2018-03-16 10:22 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Duplicate

Thanks Bernhard for pointing this out.

If something missing from your initial request, please reopen.
